---
title: List mTLS certificate associations
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[MTLS Certificates](https://developers.cloudflare.com/api/go/resources/mtls_certificates)

[Associations](https://developers.cloudflare.com/api/go/resources/mtls_certificates/subresources/associations)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List mTLS certificate associations

client.MTLSCertificates.Associations.Get(ctx, mtlsCertificateID, query) (\*SinglePage\[[CertificateAsssociation](<https://developers.cloudflare.com/api/go/resources/mtls_certificates#(resource)%20mtls_certificates.associations%20%3E%20(model)%20certificate_asssociation%20%3E%20(schema)>)], error)

GET/accounts/{account\_id}/mtls\_certificates/{mtls\_certificate\_id}/associations

Lists all active associations between the certificate and Cloudflare services.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Account: SSL and Certificates Read``Account: SSL and Certificates Write`

##### ParametersExpand Collapse

mtlsCertificateID string

Certificate identifier tag.

maxLength36

[Link to this property](<#(resource)%20mtls_certificates.associations%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20mtls_certificate_id%20%3E%20(schema)>)

<details>

<summary>

query AssociationGetParams

</summary>

AccountID param.Field\[string]

Identifier.

maxLength32

<a href="#(resource)%20mtls_certificates.associations%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20mtls_certificates.associations%20%3E%20(method)%20get%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type CertificateAsssociation struct{…}

</summary>

Service stringOptional

The service using the certificate.

<a href="#(resource)%20mtls_certificates.associations%20%3E%20(model)%20certificate_asssociation%20%3E%20(schema)%20%3E%20(property)%20service">Link to this property</a>

Status stringOptional

Certificate deployment status for the given service.

<a href="#(resource)%20mtls_certificates.associations%20%3E%20(model)%20certificate_asssociation%20%3E%20(schema)%20%3E%20(property)%20status">Link to this property</a>

</details>

[Link to this property](<#(resource)%20mtls_certificates.associations%20%3E%20(model)%20certificate_asssociation%20%3E%20(schema)>)

### List mTLS certificate associations

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/mtls_certificates"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.MTLSCertificates.Associations.Get(
    context.TODO(),
    "2458ce5a-0c35-4c7f-82c7-8e9487d3ff60",
    mtls_certificates.AssociationGetParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "service": "gateway",
      "status": "pending_deployment"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "service": "gateway",
      "status": "pending_deployment"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
```